﻿# -*- coding: utf-8 -*-

'''
    Copyright (C) 2020 realvito

    DMAX Mediathek

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import xbmcaddon
from resources.lib.common import *
from resources.lib import database_helper
from resources.lib import navigator


def run():
	if mode == 'root':
		navigator.mainMenu()
	elif mode == 'listThemes':
		navigator.listThemes(url)
	elif mode == 'listAlphabet':
		navigator.listAlphabet()
	elif mode == 'listSeries':
		navigator.listSeries(url, page, position, extras)
	elif mode == 'listEpisodes':
		navigator.listEpisodes(url, origSERIE)
	elif mode == 'playVideo':
		navigator.playVideo(url)
	elif mode == 'listShowsFavs':
		navigator.listShowsFavs()
	elif mode == 'favs':
		navigator.favs(url)
	elif mode == 'AddToQueue':
		navigator.AddToQueue()
	elif mode == 'tolibrary':
		database_helper.Organize().tolibrary(url)
	elif mode == 'generatefiles':
		database_helper.Organize().generatefiles(url, name)
	elif mode == 'aSettings':
		navigator.addon.openSettings()
	elif mode == 'iSettings':
		navigator.xbmcaddon.Addon('inputstream.adaptive').openSettings()

run()
